> ## Documentation Index
> Fetch the complete documentation index at: https://developer.9squid.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Send a test webhook ping



## OpenAPI

````yaml api-reference/openapi.json POST /v1/api/webhooks/{id}/test
openapi: 3.0.3
info:
  title: 9Squid Platform API Gateway
  description: >-
    Unified entry point for all Originator and Investor workflows on the 9Squid
    securitization platform.
  version: '1.0'
  x-readme:
    id: 9squid-docs
  contact: {}
servers:
  - url: https://api.9squid.com
    description: Production
  - url: https://sandbox.api.9squid.com
    description: Sandbox
security: []
tags:
  - name: Originator - Loans
    description: Loan tape upload and management
  - name: Originator - Pools
    description: Securitization pool management
  - name: Originator - Analytics
    description: ALM / TCT Risk analytics
  - name: Originator - Selection Criteria
    description: Stratification check runs and exceptions
  - name: Deal Room - Documents
    description: Document upload and management
  - name: Investor - Deals
    description: Browse and evaluate securitization deals
  - name: Investor - Portfolio
    description: Portfolio positions, summary and reports
  - name: Investor - Subscriptions & Allocations
    description: Order and allocation management
  - name: Alerts
    description: Notifications and alert management
  - name: Webhooks
    description: Webhook subscription and delivery management
paths:
  /v1/api/webhooks/{id}/test:
    post:
      tags:
        - Webhooks
      summary: Send a test webhook ping
      operationId: SubscriptionsController_sendTestPing
      parameters:
        - name: id
          required: true
          in: path
          schema:
            type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/TestWebhookDto'
      responses:
        '200':
          description: Test event sent
        '404':
          description: Webhook not found
      security:
        - bearer: []
components:
  schemas:
    TestWebhookDto:
      type: object
      properties:
        event_type:
          type: string
          enum:
            - loan.ingested
            - loan.qc.passed
            - loan.qc.failed
            - loan.qc.exception
            - loan.updated
            - loan.repurchase.demanded
            - pool.created
            - pool.finalized
            - pool.stratification.complete
            - pool.constraint.violated
            - deal.created
            - deal.structured
            - deal.priced
            - deal.closed
            - deal.amended
            - deal.called
            - ioi.received
            - subscription.submitted
            - subscription.confirmed
            - allocation.finalized
            - report.generated
            - report.alm.ready
            - report.exception.flagged
            - remittance.received
            - performance.updated
            - delinquency.threshold.breached
            - modification.reported
            - partner.loan.forwarded
            - partner.loan.accepted
            - partner.loan.rejected
            - partner.loan.securitized
            - document.uploaded
            - document.signed
            - document.expired
            - user.created
            - user.deactivated
            - api_key.rotated
            - api_key.revoked
  securitySchemes:
    bearer:
      scheme: bearer
      bearerFormat: JWT
      type: http

````